Get service autoscaling schedule
Disclaimer: This beta endpoint is evolving; the API contract may change.
Returns the autoscaling schedule for a service. Returns 404 if no schedule has been configured or if the schedule was cleared. Requires the scheduled autoscaling feature to be enabled for the organization.
GET
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
scalingSchedule
Get service autoscaling schedule
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/scalingSchedule \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/scalingSchedule"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/scalingSchedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"weekdays": [
123
],
"startHourUtc": 11,
"endHourUtc": 12,
"autoscalingMode": "vertical",
"isActiveNow": true,
"minReplicaMemoryGb": 123,
"maxReplicaMemoryGb": 123,
"minReplicas": 123,
"maxReplicas": 123,
"idleScaling": true,
"idleTimeoutMinutes": 123
}
],
"baseConfig": {
"autoscalingMode": "vertical",
"minReplicaMemoryGb": 123,
"maxReplicaMemoryGb": 123,
"minReplicas": 123,
"maxReplicas": 123,
"idleScaling": true,
"idleTimeoutMinutes": 123
},
"activeEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Beta
Disclaimer: This beta endpoint is evolving; the API contract may change.
Returns the autoscaling schedule for a service. Returns 404 if no schedule has been configured or if the schedule was cleared. Requires the scheduled autoscaling feature to be enabled for the organization.
Returns the autoscaling schedule for a service. Returns 404 if no schedule has been configured or if the schedule was cleared. Requires the scheduled autoscaling feature to be enabled for the organization.
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the service.
ID of the service.
Last modified on July 9, 2026
Was this page helpful?
⌘I
Get service autoscaling schedule
